package cn.reghao.tnb.search.app.model.po;

import cn.reghao.tnb.search.api.dto.VideoSummary;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author reghao
 * @date 2025-04-02 09:19:53
 */
@NoArgsConstructor
@Setter
@Getter
public class VideoText {
    // videoId
    private String id;
    private String title;
    private String description;
    private Integer scope;
    private Long publishTime;

    public VideoText(VideoSummary videoSummary) {
        this.id = videoSummary.getVideoId();
        this.title = videoSummary.getTitle();
        this.description = videoSummary.getDescription();
        this.scope = videoSummary.getScope();
        this.publishTime = videoSummary.getPublishTime();
    }

    public VideoText(String videoId, String title, int scope, long publishTime) {
        this.id = videoId;
        this.title = title;
        this.description = title;
        this.scope = scope;
        this.publishTime = publishTime;
    }
}
